package xiaoqu.home.open.model.db2;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 节假日
 * </p>
 *
 * @author wh
 * @since 2022-05-16
 */
@TableName("holiday")
@ApiModel(value="Holiday对象", description="节假日")
public class Holiday extends Model<Holiday> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建人")
    @TableField("create_name")
    private String createName;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改人")
    @TableField("modify_name")
    private String modifyName;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "节假日的日期")
    @TableField("holiday_date")
    private String holidayDate;

    @ApiModelProperty(value = "是否节假日")
    @TableField("holiday")
    private Integer holiday;

    @ApiModelProperty(value = "薪资倍数，3表示是3倍工资")
    @TableField("holiday_wage")
    private Integer holidayWage;

    @ApiModelProperty(value = "表示调休的节假日")
    @TableField("holiday_target")
    private String holidayTarget;

    @ApiModelProperty(value = "true表示放完假后调休，false表示先调休再放假")
    @TableField("holiday_after")
    private Integer holidayAfter;

    @ApiModelProperty(value = "调休的中文名")
    @TableField("holiday_name")
    private String holidayName;

    @ApiModelProperty(value = "表示当前时间距离目标还有多少天。")
    @TableField("holiday_rest")
    private Integer holidayRest;

    @ApiModelProperty(value = "假日类型:0:工作日;1:周末;2:节日;3调休")
    @TableField("type")
    private Integer type;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public String getModifyName() {
        return modifyName;
    }

    public void setModifyName(String modifyName) {
        this.modifyName = modifyName;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public String getHolidayDate() {
        return holidayDate;
    }

    public void setHolidayDate(String holidayDate) {
        this.holidayDate = holidayDate;
    }

    public Integer getHoliday() {
        return holiday;
    }

    public void setHoliday(Integer holiday) {
        this.holiday = holiday;
    }

    public Integer getHolidayWage() {
        return holidayWage;
    }

    public void setHolidayWage(Integer holidayWage) {
        this.holidayWage = holidayWage;
    }

    public String getHolidayTarget() {
        return holidayTarget;
    }

    public void setHolidayTarget(String holidayTarget) {
        this.holidayTarget = holidayTarget;
    }

    public Integer getHolidayAfter() {
        return holidayAfter;
    }

    public void setHolidayAfter(Integer holidayAfter) {
        this.holidayAfter = holidayAfter;
    }

    public String getHolidayName() {
        return holidayName;
    }

    public void setHolidayName(String holidayName) {
        this.holidayName = holidayName;
    }

    public Integer getHolidayRest() {
        return holidayRest;
    }

    public void setHolidayRest(Integer holidayRest) {
        this.holidayRest = holidayRest;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "Holiday{" +
        "id=" + id +
        ", createId=" + createId +
        ", createName=" + createName +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyName=" + modifyName +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", holidayDate=" + holidayDate +
        ", holiday=" + holiday +
        ", holidayWage=" + holidayWage +
        ", holidayTarget=" + holidayTarget +
        ", holidayAfter=" + holidayAfter +
        ", holidayName=" + holidayName +
        ", holidayRest=" + holidayRest +
        ", type=" + type +
        "}";
    }
}
